/**
 * Password Fields
 */
IGDATAPOOLFE.plugins.add('passwordField', {
    form: null,
    initFields: function(form) {
	this.init(form);
    },
    init: function(form) {
	let $form = $(form);
	this.form = $form;
	$('input[type=password]', $form).each(function() {
	    $(this).on('focus', function() {
		$(this).val('');
	    });
	    $(this).on('keydown', function() {
		var realname = ($(this).attr('name') + '').replace('dummy-', '');
		$(this).attr('name', realname);
	    });
	});
    }
});